GET /posts/all/changes

trashnothing.com

Summary: List all post changes
Operation ID: get_all_posts_changes
Auth: unknown
Description

This endpoint provides an easy way to get a feed of all the changes that have been made to publicly published posts on trash nothing. Similar to the /posts/all endpoint, only data from the last 30 days is available and the changes are sorted by date (newest first). Every change includes the date of the change, the post_id of the post that was changed and the type of change. <br /><br /> The different types of changes that are returned are listed below. <br /><br /> - deleted<br /> - undeleted<br /> - satisfied<br /> - promised<br /> - unpromised<br /> - withdrawn<br /> - edited<br /> <br /> For edited changes, clients can use the retrieve post API endpoint to get the edits that have been made to the post.

Parameters (4)

date_max (string, query, required)

Only changes older than this UTC date and time will be returned. The UTC date and time used must be within a day or less of date_min. And the date and time must be rounded to the nearest second.

date_min (string, query, required)

Only changes newer than or equal to this UTC date and time will be returned. The UTC date and time used must be within a day or less of date_max. And the date and time must be within the last 30 days. And the date and time must be rounded to the nearest second.

page (integer, query, optional, default: 1)

The page of changes to return.

Constraints: {'minimum': 1}

per_page (integer, query, optional, default: 20)

The number of changes to return per page (must be >= 1 and <= 50).

Constraints: {'minimum': 1, 'maximum': 50}

No probe data for this endpoint yet.